Re: [meta-mingw] [PATCH] grpc: remove nl2 requirement since it is optional


Joshua Watt
 



On Sat, Aug 21, 2021, 6:26 AM Richard Purdie <richard.purdie@...> wrote:
On Fri, 2021-08-20 at 20:46 +0000, Sinan Kaya wrote:
> Signed-off-by: Sinan Kaya <okaya@...>
> ---
>  .../openembedded-layers/recipes-devtools/grpc/grpc_%.bbappend  | 3 +++
>  1 file changed, 3 insertions(+)
>
> diff --git a/dynamic-layers/openembedded-layers/recipes-devtools/grpc/grpc_%.bbappend b/dynamic-layers/openembedded-layers/recipes-devtools/grpc/grpc_%.bbappend
> index a72496d..dc0ea42 100644
> --- a/dynamic-layers/openembedded-layers/recipes-devtools/grpc/grpc_%.bbappend
> +++ b/dynamic-layers/openembedded-layers/recipes-devtools/grpc/grpc_%.bbappend
> @@ -1,2 +1,5 @@
> +# doesn't build and not required
> +DEPENDS:remove:mingw32 = "libnsl2"
> +
>  EXTRA_OECMAKE:remove:mingw32 = "-DBUILD_SHARED_LIBS=ON"
>  EXTRA_OECMAKE:append:mingw32 = " -DBUILD_SHARED_LIBS=OFF"

Should we be making that a PACKAGECONFIG which mingw32 could change?

Yes, that's a good idea. Sinan, please make that change in meta-oe, then change this patch to remove it from PACKAGECONFIG


Cheers,

Richard

Join yocto@lists.yoctoproject.org to automatically receive all group messages.